Retrieve Job Status Details
Use this REST API to poll the server to get execution details for a Job with the specified Job ID.
The job types for which details are returned by this service are: IMPORT_DATA,
EXPORT_DATA, EXPORT_METADATA, and
IMPORT_METADATA.
Supports paging for jobs of type IMPORT_DATA, IMPORT_METADATA, EXPORT_DATA, and EXPORT_METADATA using the offset and limit query parameters shown in the table.
Required Roles
Service Administrator
REST Resource
GET /HyperionPlanning/rest/{api_version}/applications/{application}/jobs/{jobIdentifier}/detailsRequest
Supported Media Types: application/json
Parameters:
Table 3-62 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
The name of the application | Path | Yes | None |
jobIdentifier |
The ID of the job, such as 224 | Path | Yes | None |
q |
||||
msgType |
Optionally, return messages for a particular message type. If no messageType is provided, returns messages of types ERROR, WARNING, and INFO. | Query | No | None |
offset |
For paging of jobs. Indicates the actual index from which the records are returned. It is 0 based. | Query | No | 0 |
limit |
For paging for jobs. Controls how many items to return. Defaults to 25 if not specified. | Query | No | 25 |
Example Requests
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/PS4app1/jobs/145/details
Optionally specifying messageType:
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/PS4app1/jobs/145/details?q={"messageType":"ERROR"}
Optionally specifying paging for jobs of type IMPORT_DATA and EXPORT_DATA with the offset and limit:
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/PS4app1/jobs/145/details?q={"messageType":"ERROR"}&offset=0&limit=5}
Response
Table 3-63 Parameters
| Name | Description |
|---|---|
items |
Version of the API you are developing with |
recordsRead |
The name of the application |
recordsRejected |
The ID of the job for records rejected |
recordsProcessed |
The ID of the job for records processed |
dimensionName |
For paging of jobs. Indicates the actual index from which the records are returned. It is 0 based. |
loadType |
For paging for jobs. Controls how many items to return. Defaults to 25 if not specified. |
Supported Media Types: application/json
Example of Response Body
The following shows an example of the response body for metadata import with messageType = ERROR:
{
"items": [{
"links": [{
"rel": "child-job-details",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/test2/jobs/224/childjobs/12/details?limit=10&q=%7BmessageType:ERROR%7D&offset=10",
"action": "GET"
}],
"recordsRead": 8,
"recordsRejected": 0,
"recordsProcessed": 8,
"dimensionName": "Entity",
"loadType": "Metadata Import"
}, {
"links": [{
"rel": "child-job-details",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/test2/jobs/224/childjobs/13/details?limit=10&q=%7BmessageType:ERROR%7D&offset=10",
"action": "GET"
}],
"recordsRead": 2,
"recordsRejected": 0,
"recordsProcessed": 2,
"dimensionName": "Job",
"loadType": "Metadata Import"
}],
"links": [{
"rel": "self",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/test2/jobs/224/details?limit=10&q=%7BmessageType:ERROR%7D&offset=10",
"action": "GET"
}],
}